UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

28 lines 996 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.selectCharacterEndpoint = void 0; const commonTypes_1 = require("../../commonTypes"); exports.selectCharacterEndpoint = { name: 'Select Character', description: 'Select an agent \n' + '**DO NOT USE THIS FOR INSTALOCKING** \n' + 'Riot doesn\'t like this. You may get banned or get the API restricted for the rest of us. ', queryName: 'Pregame_SelectCharacter', category: 'Pre-Game Endpoints', type: 'glz', method: 'POST', suffix: 'pregame/v1/matches/{pre-game match id}/select/{agent id}', variables: new Map([ ['{agent id}', commonTypes_1.weakUUIDSchema.describe('The agent ID to select')] ]), riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, responses: { '200': commonTypes_1.pregameMatchSchema } }; //# sourceMappingURL=SelectCharacter.js.map